/*
 * zGo2Health.h
 * 
 * Gocator system communication library
 * Copyright (C) 2010 by LMI Technologies Inc.
 * 
 * Licensed under The MIT License.
 * Redistributions of files must retain the above copyright notice.
 */
#ifndef LMITECH_GO2_Z_HEALTH_H_INCLUDED
#define LMITECH_GO2_Z_HEALTH_H_INCLUDED

#include <Go2Health.h>
#include <zResult.h>
#include <z/zGo2Object.h>
#include <Go2ApiBegin.h>

#define GO2_HEALTH_MESSAGE_ID                             (1000)

typedef struct Go2HealthClass
{
    GO2_OBJECT_FIELDS(); 
    zResult result; 
} Go2HealthClass; 

GO2_EXPORT(Go2Status) Go2Health_Construct(Go2Health* health, zResult result); 
GO2_EXPORT(Go2Status) Go2Health_Init(Go2Health health, zResult result); 
GO2_EXPORT(Go2Status) Go2Health_VRelease(Go2Health health); 

GO2_EXPORT(zResult) Go2Health_Result(Go2Health health); 

#include <Go2ApiEnd.h>

#endif      /* #ifndef LMITECH_GO2_Z_HEALTH_H_INCLUDED */
